OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.TextureBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureBufferObject :: MonadIO m => m Bool
- gl_EXT_texture_buffer_object :: Bool
- pattern GL_MAX_TEXTURE_BUFFER_SIZE_EXT :: GLenum
- pattern GL_TEXTURE_BINDING_BUFFER_EXT :: GLenum
- pattern GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT :: GLenum
- pattern GL_TEXTURE_BUFFER_EXT :: GLenum
- pattern GL_TEXTURE_BUFFER_FORMAT_EXT :: GLenum
- glTexBufferEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()

# Extension Support

glGetEXTTextureBufferObject :: MonadIO m => m Bool Source #

Is the EXT_texture_buffer_object extension supported?

gl_EXT_texture_buffer_object :: Bool Source #

Is the EXT_texture_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureBufferObject` in those cases instead.

# Enums

pattern GL_MAX_TEXTURE_BUFFER_SIZE_EXT :: GLenum Source #

pattern GL_TEXTURE_BINDING_BUFFER_EXT :: GLenum Source #

pattern GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT :: GLenum Source #

pattern GL_TEXTURE_BUFFER_EXT :: GLenum Source #

pattern GL_TEXTURE_BUFFER_FORMAT_EXT :: GLenum Source #

# Functions

glTexBufferEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glTexBuffer`.